Create a new Lender
curl --request POST \
--url https://commerce.driv.ly/api/lenders \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"id": "<string>",
"addresses": [
"<string>"
],
"phoneNumbers": [
"<string>"
],
"contacts": [
"<string>"
]
}
'import requests
url = "https://commerce.driv.ly/api/lenders"
payload = {
"name": "<string>",
"id": "<string>",
"addresses": ["<string>"],
"phoneNumbers": ["<string>"],
"contacts": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
id: '<string>',
addresses: ['<string>'],
phoneNumbers: ['<string>'],
contacts: ['<string>']
})
};
fetch('https://commerce.driv.ly/api/lenders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"addresses": [
"<string>"
],
"phoneNumbers": [
"<string>"
],
"contacts": [
"<string>"
]
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}Companies
Create a new Lender
POST
/
lenders
Create a new Lender
Query Parameters
The number of levels of related objects to include in the response
Body
application/json
Company has Name
Customer is uniquely identified by id
Customer is located at Addresses
Customer has Phone Number
Pattern:
^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$Company has Contact
Response
Lender Created
Show child attributes
Show child attributes
Example:
{
"id": "com_9j3k2dls0j29",
"name": "Auto Sales Co.",
"address": "123 Main St, Anytown, USA",
"locations": [
{
"id": "loc_k2j3l9s9d4j0",
"companyId": "com_9j3k2dls0j29",
"address": "123 Main St, Anytown, USA",
"phone": "+1234567890"
}
]
}
⌘I